pentoo-bluetooth: btbb moved into libbtbb and everything we need is now in gentoo

This commit is contained in:
Zero_Chaos 2012-10-08 20:09:57 +00:00
parent c54123a131
commit 01cf90c700
13 changed files with 2 additions and 2533 deletions

File diff suppressed because it is too large Load diff

View file

@ -1,14 +0,0 @@
AUX wireshark-1.6.6-gtk-pcap.patch 841 SHA256 862c301f450fcb775e3bd907e5a6ca667b5a11b819768b66a7c848c2c3c90d8a SHA512 0ed1bce8b57942de72ee0a8d78ef7cc345ffea512248fa65acd4e8386a5aa61dde14663090578c78f3eee88c7966e8d40aa6d3dce13146c2adf5ed8ded019253 WHIRLPOOL a45a3d04c9823eb149174fbbaaeb5437e525d77da962aa627509941da3119e87d4eef26cb06b1d3534356c4fd1d4bf31bc102dbf8b3f69994a19dba8d730d05f
AUX wireshark-1.8-btbb.patch 3759 SHA256 348084d534a7c8ea49270b3fab42409d37a571ef95beb52b2490d732ac71462b SHA512 14b817f57e3c416b56dbe8a59ad34bc23ddba20e493c7a775ddb427cf7c89d44a07e06ef0cb2503520f04b66e0d2e765fac327b4cc8ee40cdb345dfdc9a3943d WHIRLPOOL 7fbf71fbecc52928905ff72558a8e1282c1abf6b8610b6b679359756d9e4ab7baf789a02204eda3c0a4f60c7c981f8195b462eafc395dbd23fc817a014dbd8d7
AUX wireshark-1.8.0-underlinking.patch 239 SHA256 63a0ecdd4b45e048c6f8a3f25c0fe0b7a827df8e7dc2167cc3ad51ab94b8eae7 SHA512 df34235187efc9c423acd2b0f14d7ff569db090566abfa8f343a6826afb246f6dbacf84af9d4903f3f2656ed832f8329ae4037536d7be1f18db8e36b1fb4c1c6 WHIRLPOOL 3fda73b9fa6cd6e22201a20f0e4331a610ea13f53a8b352f89f27e89e1a2b4edc16bededa6677892ec65b53c78dbc53ce051082824ddd7e1d823f0001e33faed
AUX wireshark-1.8.1-ldflags.patch 312 SHA256 b4cf259892774b4a72ab90b7ea28fbf3c923993f8f68831627d79a45637f5948 SHA512 a6cae46b7bf1f82977f8c905f109efeb72b1bf7bf9413639dd0c783147070be04efac7ec5ac92c9eda682500c5596cfcb2ade424d7bd85278c7842f5aff2ad98 WHIRLPOOL 0aa07f0d26318d203ea2bfb0369eb4fe57f80958e24f20f8579e218d8c3967effb64461112cf30cd15322cc6ed76c75dac0091781ed4526c091f4cddb40daf29
DIST libbtbb-0.8.tar.gz 70407 SHA256 6ea1aff41be6deec765f10b1b9aba01a88ae0f1eae2d5f617ebd847da72f57dc SHA512 b30fc869eecf718abec1ea54371ecfe4e2b64d394a6c07e6bfdd39b8fc1927aeef55b3cb686b10e0ea0bde054648a7fff13a12bbb2d1a289327a4198854fdfb1 WHIRLPOOL 878c67f934d7f264b81e811ee033dab6e03011ebbed842473911653a95129f286d326a3bfb5e865eaec4400a426c4802555c7a0cb42af81efe65bcd34567a850
DIST wireshark-1.8.0.tar.bz2 24425043 SHA256 4cb802f116bbdcfa71afbc842dbfacd8f96594f4b221cbb5616d5c17bc696a62 SHA512 bd2b476dda089d27aba73ae5d5974757ec0fd1f6047adecad9966366cacd6e0565a313be1f14f59e38011cd18331f7cf4aaca69228d9af1201866c5174bf41d4 WHIRLPOOL e1173052180ad8f5634395cbdf5fc57e0339870aedfe7173ea9af44cdf1ec4386cfb314f34c10a37c38aae0fa1808a2ae08d6ae5076d1c9b2d1cfdf319ab784f
DIST wireshark-1.8.1.tar.bz2 24125571 SHA256 5966a3e23d34972eb35433ae8198fccf1945617f71b89c1af26dada9f342feb7 SHA512 fec2212ca6c0b50b84f0642160b4685c5aa9e06677b68fa1103dbbd7dd684bfdc00330b2444a8805169e9fc88866707cf2b0dee45207e7f91ac40f7bcefb6faa WHIRLPOOL 1343b68fd95cb55f6445e09f38cd1b8f9b93d5a05146ea8937609f9d97be4b1fb4a45ff68aaa1885fd753d889b81f31422b5a96517eb72fd72d29e24f90745b6
DIST wireshark-1.8.2.tar.bz2 24121798 SHA256 3f0e688d889345033e0a7e4f36aea78248e5c7b32d0dfc19eac044188aac11cc SHA512 219ec8249072773719162851515eb9c29a01693c9ba4d57976afad1e58d30cac9aefb482d3c6113386c39cfab775919ad68a888e94de8d62af0e8b8da7c3991b WHIRLPOOL 08bbe59e096de90a99766aa49c6d419351b1e178f5eb2e9160e00900c695dd46515448571ebbf19172679db0637f82359757c302cd87ea176936eb32c3625ba1
EBUILD wireshark-1.8.0.ebuild 6647 SHA256 8ce90cc8a249e5e57c6826498e5b97fc04510e763a07c25676433c225dc4d7da SHA512 0730cc1d3376ad4e435ed12213ecdfba7de0f0bb2a8f4ba2b02be5ae10c98dcc555d5a66a5fda3d6157df24d66dd600bd46b18e69ad0d711c5aa590e57a05887 WHIRLPOOL 3a8701ac68bbe2d45fb97a9004fd905df70f89380388e21cc7491b503b6c1895743d6761f8de64936caff940eb94238f9f93b6ba1e658a2026e32e80ca703d1d
EBUILD wireshark-1.8.1-r1.ebuild 6626 SHA256 8cc7b358c3352c7dc82308dd55aecd849b0b65bc37304d1faa1a420c658e0f4c SHA512 0251aecc17b2648ad0ab7b1df0d8421bdcd506c719f9d40e41124bc180bf05af82f4eb7caba1981052bf6122d96cf67a1e8bbc80b83342ae2808fda1260f9498 WHIRLPOOL 025be245ba70e15a6546baeeea56e761050428e71f2c7814b5feb349979c3656920e539162a7ac79f5e7a42656bdab762af2453ccfae432d016854721a68bba4
EBUILD wireshark-1.8.1.ebuild 6601 SHA256 a054ea68e238bc68d4b8a45a58aa72049f257a0440d77b1b947d0aec912a2d35 SHA512 e2702b30e9d95175b8bcb6452fbaf30692ccf6284fe14630cbd8c62ddd2410db3416ae2f69a0e65f5952962213cc413af274b57bf5dd7c6262efa13824f56b40 WHIRLPOOL b60e04064f4fb1f0485e5f2f13ad40bc4155a45eb73e9fb5ca1ac78ee06b5bfbc3d78eeee2e22519d2035f018eae4232929136fddfcdc3a28629b8ebe9c9a0a4
EBUILD wireshark-1.8.2.ebuild 6682 SHA256 3b3070f9171f50a41c369ea14bdee3afc0e46f9f47aa360236581b0706857e86 SHA512 a1762e51cc395167bfda6fd8d265e56551577decbce7fabec5cad9278d9934b5f6e6d3c04104a3751a8afc1d94cc54f67747d46e18498c41de173e1df95f2226 WHIRLPOOL f1bcf39e81b2cac9ed8ada0a6fc6e73a6b5a45b5a5eebc07d482c4718f154e2b1393d6103bab5a64c53c84a7c9812c2ceaa7107c2d00f842512a6de32df113b5
MISC ChangeLog 51787 SHA256 326a7534b56331374aa8f9d7f3400769c4a33bc9616ab1eb308b38ede4e94b22 SHA512 4fd2b3f0d893c0b4ddc5a0ef3011f4680dec458fe6fd8b191a950a8fe6c89b1c830a8b55255880b84d052e021f81049cf6b1873d7917d06cc82cc7b8a2a6b6b0 WHIRLPOOL 7a982e298109ec50dd3afdce9ffd2f0d787b634356cf49db757739adf3014b644b16d0092e9be7ba0fb8edfb369c602d039992e6142d5fae4a60a4589a6c1359
MISC metadata.xml 2591 SHA256 d1e0f669c78c45324dfd09f28c90b53fff9b8f8fa3de3d9304ee2d4cb4573499 SHA512 7c71ea9f31fe9307c422a7fa0c83ac72ca177a5b3a56539d02cff63e9dbfc4938f000ef3ba454558aed3cea3f5932cc788dcc599c4ec1c0e2a736922376732eb WHIRLPOOL 0ac717e4ca0f949333f4d0cff85bd45257da3216a41cd35fcd74358c94067772910785371739995523fb92688318907f3e909261da240b3a4ad32ce51210af05

View file

@ -1,30 +0,0 @@
--- a/gtk/main.c
+++ b/gtk/main.c
@@ -2834,7 +2834,9 @@
color_filters_init();
decode_as_init();
+#ifdef HAVE_LIBPCAP
capture_filter_init();
+#endif
/* the window can be sized only, if it's not already shown, so do it now! */
main_load_window_geometry(top_level);--- a/gtk/capture_dlg.c
+++ b/gtk/capture_dlg.c
@@ -371,6 +371,7 @@
/** Initialize background capture filter syntax checking
*/
+#ifdef HAVE_LIBPCAP
void capture_filter_init(void) {
cfc_data.filter_text = NULL;
cfc_data.filter_te = NULL;
@@ -383,6 +384,7 @@
g_thread_create(check_capture_filter_syntax, NULL, FALSE, NULL);
#endif
}
+#endif
static void
capture_filter_check_syntax_cb(GtkWidget *w _U_, gpointer user_data _U_)

View file

@ -1,89 +0,0 @@
diff -urN wireshark-1.8.0.orig//CMakeLists.txt wireshark-1.8.0/CMakeLists.txt
--- wireshark-1.8.0.orig//CMakeLists.txt 2012-06-06 00:33:43.000000000 +0800
+++ wireshark-1.8.0/CMakeLists.txt 2012-06-25 21:48:57.997186003 +0800
@@ -409,6 +409,7 @@
set(PLUGIN_DIR="${DATAFILE_DIR}/plugins/${CPACK_PACKAGE_VERSION}")
set(PLUGIN_SRC_DIRS
plugins/asn1
+ plugins/btbb
plugins/docsis
plugins/ethercat
plugins/gryphon
diff -urN wireshark-1.8.0.orig//Makefile.am wireshark-1.8.0/Makefile.am
--- wireshark-1.8.0.orig//Makefile.am 2012-06-20 01:47:22.000000000 +0800
+++ wireshark-1.8.0/Makefile.am 2012-06-25 21:50:00.721186002 +0800
@@ -273,6 +273,7 @@
-include plugins/Custom.make
plugin_ldadd = $(_CUSTOM_plugin_ldadd_) \
-dlopen plugins/asn1/asn1.la \
+ -dlopen plugins/btbb/btbb.la \
-dlopen plugins/docsis/docsis.la \
-dlopen plugins/ethercat/ethercat.la \
-dlopen plugins/gryphon/gryphon.la \
diff -urN wireshark-1.8.0.orig//configure.in wireshark-1.8.0/configure.in
--- wireshark-1.8.0.orig//configure.in 2012-06-22 02:21:10.000000000 +0800
+++ wireshark-1.8.0/configure.in 2012-06-25 21:51:10.925186002 +0800
@@ -2096,6 +2096,7 @@
packaging/svr4/pkginfo
plugins/Makefile
plugins/asn1/Makefile
+ plugins/btbb/Makefile
plugins/docsis/Makefile
plugins/ethercat/Makefile
plugins/gryphon/Makefile
diff -urN wireshark-1.8.0.orig//epan/Makefile.am wireshark-1.8.0/epan/Makefile.am
--- wireshark-1.8.0.orig//epan/Makefile.am 2012-06-09 08:46:54.000000000 +0800
+++ wireshark-1.8.0/epan/Makefile.am 2012-06-25 21:51:55.394186002 +0800
@@ -209,6 +209,8 @@
-include ../plugins/Custom.make
plugin_src = \
../plugins/asn1/packet-asn1.c \
+ ../plugins/btbb/packet-btbb.c \
+ ../plugins/btbb/packet-btlmp.c \
../plugins/docsis/packet-bintrngreq.c \
../plugins/docsis/packet-bpkmattr.c \
../plugins/docsis/packet-bpkmreq.c \
diff -urN wireshark-1.8.0.orig//packaging/nsis/Makefile.nmake wireshark-1.8.0/packaging/nsis/Makefile.nmake
--- wireshark-1.8.0.orig//packaging/nsis/Makefile.nmake 2012-06-20 01:47:22.000000000 +0800
+++ wireshark-1.8.0/packaging/nsis/Makefile.nmake 2012-06-25 21:52:34.248186002 +0800
@@ -46,6 +46,7 @@
PLUGINS= \
../../plugins/asn1/asn1.dll \
+ ../../plugins/btbb/btbb.dll \
../../plugins/docsis/docsis.dll \
../../plugins/ethercat/ethercat.dll \
../../plugins/gryphon/gryphon.dll \
diff -urN wireshark-1.8.0.orig//packaging/nsis/wireshark.nsi wireshark-1.8.0/packaging/nsis/wireshark.nsi
--- wireshark-1.8.0.orig//packaging/nsis/wireshark.nsi 2012-06-20 01:47:22.000000000 +0800
+++ wireshark-1.8.0/packaging/nsis/wireshark.nsi 2012-06-25 21:54:50.288185993 +0800
@@ -806,6 +806,7 @@
;-------------------------------------------
SetOutPath '$INSTDIR\plugins\${VERSION}'
File "${STAGING_DIR}\plugins\${VERSION}\asn1.dll"
+File "${STAGING_DIR}\plugins\${VERSION}\btbb.dll"
File "${STAGING_DIR}\plugins\${VERSION}\docsis.dll"
File "${STAGING_DIR}\plugins\${VERSION}\ethercat.dll"
File "${STAGING_DIR}\plugins\${VERSION}\gryphon.dll"
diff -urN wireshark-1.8.0.orig//plugins/Makefile.am wireshark-1.8.0/plugins/Makefile.am
--- wireshark-1.8.0.orig//plugins/Makefile.am 2012-06-06 00:33:17.000000000 +0800
+++ wireshark-1.8.0/plugins/Makefile.am 2012-06-25 21:55:15.766186001 +0800
@@ -24,6 +24,7 @@
-include Custom.make
SUBDIRS = $(_CUSTOM_SUBDIRS_) \
asn1 \
+ btbb \
docsis \
ethercat \
gryphon \
diff -urN wireshark-1.8.0.orig//plugins/Makefile.nmake wireshark-1.8.0/plugins/Makefile.nmake
--- wireshark-1.8.0.orig//plugins/Makefile.nmake 2012-06-06 00:33:17.000000000 +0800
+++ wireshark-1.8.0/plugins/Makefile.nmake 2012-06-25 21:55:32.469186000 +0800
@@ -8,6 +8,7 @@
PLUGIN_LIST = \
asn1 \
+ btbb \
docsis \
ethercat \
gryphon \

View file

@ -1,10 +0,0 @@
--- a/Makefile.am
+++ b/Makefile.am
@@ -333,6 +333,7 @@ wireshark_LDADD = \
@LIBGNUTLS_LIBS@ \
@LIBSMI_LDFLAGS@ \
@PORTAUDIO_LIBS@ \
+ @GLIB_LIBS@ \
@GTK_LIBS@ -lm
wireshark_CFLAGS = $(AM_CLEAN_CFLAGS) $(py_dissectors_dir)

View file

@ -1,12 +0,0 @@
--- a/configure.in
+++ b/configure.in
@@ -652,7 +652,8 @@
#
# Arrange that we search for libraries in "$prefix/lib".
#
- AC_WIRESHARK_ADD_DASH_L(LDFLAGS, $prefix/lib)
+# We do not need this - JeR (possibly bug #394479)
+# AC_WIRESHARK_ADD_DASH_L(LDFLAGS, $prefix/lib)
else
AC_MSG_RESULT(no)
fi

View file

@ -1,45 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>netmon</herd>
<maintainer>
<email>pva@gentoo.org</email>
<name>Peter Volkov</name>
</maintainer>
<maintainer>
<email>zerochaos@gentoo.org</email>
<name>Rick Farina</name>
<description>Excessive wireshark user and enthusiast</description>
</maintainer>
<longdescription>
Wireshark is the world's foremost network protocol analyzer, and is the de
facto (and often de jure) standard across many industries and educational
institutions. Wireshark has a rich feature set which includes 1) deep
inspection of hundreds of protocols, with more being added all the time, 2)
live capture and offline analysis, 3) standard three-pane packet browser, 4)
captured network data can be browsed via a GUI, or via the TTY-mode TShark
utility, 5) the most powerful display filters in the industry, 6) rich VoIP
analysis, 7) read/write many different capture file formats: tcpdump
(libpcap), Catapult DCT2000, Cisco Secure IDS iplog, Microsoft Network
Monitor, Network General Sniffer® (compressed and uncompressed), Sniffer®
Pro, and NetXray®, Network Instruments Observer, Novell LANalyzer, RADCOM
WAN/LAN Analyzer, Shomiti/Finisar Surveyor, Tektronix K12xx, Visual Networks
Visual UpTime, WildPackets EtherPeek/TokenPeek/AiroPeek, and many others, 8)
capture files compressed with gzip can be decompressed on the fly, 9) live
data can be read from Ethernet, IEEE 802.11, PPP/HDLC, ATM, Bluetooth, USB,
Token Ring, Frame Relay, FDDI, and others, 10) decryption support for many
protocols, including IPsec, ISAKMP, Kerberos, SNMPv3, SSL/TLS, WEP, and
WPA/WPA2, 11) coloring rules can be applied to the packet list for quick,
intuitive analysis, 12) output can be exported to XML, PostScript®, CSV, or
plain text
</longdescription>
<use>
<flag name='ares'>Use GNU <pkg>net-dns/c-ares</pkg> library to resolve DNS names</flag>
<flag name='btbb'>Use <pkg>net-libs/libbtbb</pkg> (and appropriate hardware) to sniff bluetooth baseband</flag>
<flag name='doc-pdf'>Build documentation in pdf format (US and a4 paper sizes)</flag>
<flag name='gcrypt'>Use GNU crypto library (<pkg>dev-libs/libgcrypt</pkg>) to decrypt ipsec traffic</flag>
<flag name='pcap'>Use <pkg>net-libs/libpcap</pkg> for network packet capturing (build dumpcap, rawshark)</flag>
<flag name='smi'>Use <pkg>net-libs/libsmi</pkg> to resolve numeric OIDs into human readable format</flag>
<flag name='third-party-plugins'>Build plugins from third party sources</flag>
</use>
</pkgmetadata>

View file

@ -1,224 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/wireshark-1.8.0.ebuild,v 1.6 2012/07/09 19:39:21 zerochaos Exp $
EAPI="4"
PYTHON_DEPEND="python? 2"
inherit autotools eutils flag-o-matic python toolchain-funcs user
[[ -n ${PV#*_rc} && ${PV#*_rc} != ${PV} ]] && MY_P=${PN}-${PV/_} || MY_P=${P}
DESCRIPTION="A network protocol analyzer formerly known as ethereal"
HOMEPAGE="http://www.wireshark.org/"
BTBB="libbtbb-0.8"
SRC_URI="http://www.wireshark.org/download/src/all-versions/${MY_P}.tar.bz2 \
mirror://sourceforge/libbtbb/${BTBB}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE="adns ares btbb doc doc-pdf gtk ipv6 lua gcrypt geoip kerberos
profile +pcap portaudio python +caps selinux smi ssl zlib"
RDEPEND=">=dev-libs/glib-2.14:2
zlib? ( sys-libs/zlib
!=sys-libs/zlib-1.2.4 )
smi? ( net-libs/libsmi )
gtk? ( >=x11-libs/gtk+-2.4.0:2
x11-libs/pango
dev-libs/atk
x11-misc/xdg-utils )
ssl? ( <net-libs/gnutls-3 )
gcrypt? ( dev-libs/libgcrypt )
pcap? ( net-libs/libpcap )
caps? ( sys-libs/libcap )
kerberos? ( virtual/krb5 )
portaudio? ( media-libs/portaudio )
ares? ( >=net-dns/c-ares-1.5 )
!ares? ( adns? ( net-libs/adns ) )
geoip? ( dev-libs/geoip )
lua? ( >=dev-lang/lua-5.1 )
btbb? ( >=net-libs/libbtbb-0.8 )
selinux? ( sec-policy/selinux-wireshark )"
DEPEND="${RDEPEND}
doc? ( dev-libs/libxslt
dev-libs/libxml2
app-doc/doxygen
doc-pdf? ( dev-java/fop ) )
virtual/pkgconfig
dev-lang/perl
sys-devel/bison
sys-apps/sed
sys-devel/flex
!!<net-analyzer/wireshark-1.8.0"
S=${WORKDIR}/${MY_P}
# borrowed from GSoC2010_Gentoo_Capabilities by constanze and flameyeys
# @FUNCTION: fcaps
# @USAGE: fcaps {uid:gid} {file-mode} {cap1[,cap2,...]} {file}
# @RETURN: 0 if all okay; non-zero if failure and fallback
# @DESCRIPTION:
# fcaps sets the specified capabilities in the effective and permitted set of
# the given file. In case of failure fcaps sets the given file-mode.
fcaps() {
local uid_gid=$1
local perms=$2
local capset=$3
local path=$4
local res
chmod $perms $path && \
chown $uid_gid $path
res=$?
use caps || return $res
#set the capability
setcap "$capset=ep" "$path" &> /dev/null
#check if the capabilitiy got set correctly
setcap -v "$capset=ep" "$path" &> /dev/null
res=$?
if [ $res -ne 0 ]; then
ewarn "Failed to set capabilities. Probable reason is missed kernel support."
ewarn "Kernel must have <FS>_FS_SECURITY enabled where <FS> is the filesystem"
ewarn "to store ${path} (e.g. EXT3_FS_SECURITY). For kernels version before"
ewarn "2.6.33_rc1 SECURITY_FILE_CAPABILITIES must be enabled as well."
ewarn
ewarn "Falling back to suid now..."
chmod u+s ${path}
fi
return $res
}
pkg_setup() {
if ! use gtk; then
ewarn "USE=-gtk disables gtk-based gui called wireshark."
ewarn "Only command line utils will be built available"
fi
if use python; then
python_set_active_version 2
python_pkg_setup
fi
# Add group for users allowed to sniff.
enewgroup wireshark
}
src_prepare() {
epatch "${FILESDIR}"/${P}-underlinking.patch
if use btbb; then
cp -r "${WORKDIR}/${BTBB}/wireshark/." "${S}/" || die
#epatch "${S}/${BTBB}/plugins/btbb/wireshark-1.8-btbb.patch"
epatch "${FILESDIR}/wireshark-1.8-btbb.patch"
fi
eautoreconf
}
src_configure() {
local myconf
if [[ $(gcc-major-version) -lt 3 ||
( $(gcc-major-version) -eq 3 &&
$(gcc-minor-version) -le 4 ) ]] ; then
die "Unsupported compiler version, please upgrade."
fi
if use ares && use adns; then
elog "You asked for both, ares and adns, but we can use only one of them."
elog "c-ares supersedes adns resolver thus using c-ares (ares USE flag)."
myconf="$(use_with ares c-ares) --without-adns"
else
myconf="$(use_with adns) $(use_with ares c-ares)"
fi
# profile and pie are incompatible #215806, #292991
if use profile; then
ewarn "You've enabled the 'profile' USE flag, building PIE binaries is disabled."
ewarn "Also ignore \"unrecognized option '-nopie'\" gcc warning #358101."
append-flags $(test-flags-CC -nopie)
fi
# Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
# --with-ssl to ./configure. (Mimics code from acinclude.m4).
if use kerberos; then
case `krb5-config --libs` in
*-lcrypto*)
ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
ewarn "Note there are annoying license incompatibilities between the OpenSSL"
ewarn "license and the GPL, so do your check before distributing such package."
myconf+=" --with-ssl"
;;
esac
fi
# Hack around inability to disable doxygen/fop doc generation
use doc || export ac_cv_prog_HAVE_DOXYGEN=false
use doc-pdf || export ac_cv_prog_HAVE_FOP=false
# dumpcap requires libcap, setuid-install requires dumpcap
econf $(use_enable gtk wireshark) \
$(use_enable profile profile-build) \
$(use_with ssl gnutls) \
$(use_with gcrypt) \
$(use_enable ipv6) \
$(use_with lua) \
$(use_with kerberos krb5) \
$(use_with smi libsmi) \
$(use_with zlib) \
$(use_with geoip) \
$(use_with portaudio) \
$(use_with python) \
$(use_with caps libcap) \
$(use_with pcap) \
$(use_with pcap dumpcap-group wireshark) \
$(use pcap && use_enable caps setcap-install) \
$(use pcap && use_enable !caps setuid-install) \
--sysconfdir="${EPREFIX}"/etc/wireshark \
--disable-extra-gcc-checks \
${myconf}
}
src_compile() {
default
use doc && emake -C docbook
}
src_install() {
default
if use doc; then
dohtml -r docbook/{release-notes.html,ws{d,u}g_html{,_chunked}}
if use doc-pdf; then
insinto /usr/share/doc/${PF}/pdf/
doins docbook/{{developer,user}-guide,release-notes}-{a4,us}.pdf
fi
fi
# FAQ is not required as is installed from help/faq.txt
dodoc AUTHORS ChangeLog NEWS README{,.bsd,.linux,.macos,.vmware} \
doc/{randpkt.txt,README*}
insinto /usr/include/wiretap
doins wiretap/wtap.h
if use gtk; then
for c in hi lo; do
for d in 16 32 48; do
insinto /usr/share/icons/${c}color/${d}x${d}/apps
newins image/${c}${d}-app-wireshark.png wireshark.png
done
done
domenu wireshark.desktop
fi
use pcap && chmod o-x "${ED}"/usr/bin/dumpcap #357237
}
pkg_postinst() {
if use caps && use pcap; then
fcaps 0:wireshark 550 cap_net_raw,cap_net_admin "${EROOT}"/usr/bin/dumpcap
fi
echo
ewarn "NOTE: To run wireshark as normal user you have to add yourself to"
ewarn "the wireshark group. This security measure ensures that only trusted"
ewarn "users are allowed to sniff your traffic."
echo
}

View file

@ -1,223 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/wireshark-1.8.0.ebuild,v 1.6 2012/07/09 19:39:21 zerochaos Exp $
EAPI="4"
PYTHON_DEPEND="python? 2"
inherit autotools eutils flag-o-matic python toolchain-funcs user
[[ -n ${PV#*_rc} && ${PV#*_rc} != ${PV} ]] && MY_P=${PN}-${PV/_} || MY_P=${P}
DESCRIPTION="A network protocol analyzer formerly known as ethereal"
HOMEPAGE="http://www.wireshark.org/"
BTBB="libbtbb-0.8"
SRC_URI="http://www.wireshark.org/download/src/all-versions/${MY_P}.tar.bz2 \
mirror://sourceforge/libbtbb/${BTBB}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE="adns ares btbb doc doc-pdf gtk ipv6 lua gcrypt geoip kerberos
profile +pcap portaudio python +caps selinux smi ssl zlib"
RDEPEND=">=dev-libs/glib-2.14:2
zlib? ( sys-libs/zlib
!=sys-libs/zlib-1.2.4 )
smi? ( net-libs/libsmi )
gtk? ( >=x11-libs/gtk+-2.4.0:2
x11-libs/pango
dev-libs/atk
x11-misc/xdg-utils )
ssl? ( <net-libs/gnutls-3 )
gcrypt? ( dev-libs/libgcrypt )
pcap? ( net-libs/libpcap )
caps? ( sys-libs/libcap )
kerberos? ( virtual/krb5 )
portaudio? ( media-libs/portaudio )
ares? ( >=net-dns/c-ares-1.5 )
!ares? ( adns? ( net-libs/adns ) )
geoip? ( dev-libs/geoip )
lua? ( >=dev-lang/lua-5.1 )
btbb? ( >=net-libs/libbtbb-0.8 )
selinux? ( sec-policy/selinux-wireshark )"
DEPEND="${RDEPEND}
doc? ( dev-libs/libxslt
dev-libs/libxml2
app-doc/doxygen
doc-pdf? ( dev-java/fop ) )
virtual/pkgconfig
dev-lang/perl
sys-devel/bison
sys-apps/sed
sys-devel/flex
!!<net-analyzer/wireshark-1.8.0"
S=${WORKDIR}/${MY_P}
# borrowed from GSoC2010_Gentoo_Capabilities by constanze and flameyeys
# @FUNCTION: fcaps
# @USAGE: fcaps {uid:gid} {file-mode} {cap1[,cap2,...]} {file}
# @RETURN: 0 if all okay; non-zero if failure and fallback
# @DESCRIPTION:
# fcaps sets the specified capabilities in the effective and permitted set of
# the given file. In case of failure fcaps sets the given file-mode.
fcaps() {
local uid_gid=$1
local perms=$2
local capset=$3
local path=$4
local res
chmod $perms $path && \
chown $uid_gid $path
res=$?
use caps || return $res
#set the capability
setcap "$capset=ep" "$path" &> /dev/null
#check if the capabilitiy got set correctly
setcap -v "$capset=ep" "$path" &> /dev/null
res=$?
if [ $res -ne 0 ]; then
ewarn "Failed to set capabilities. Probable reason is missed kernel support."
ewarn "Kernel must have <FS>_FS_SECURITY enabled where <FS> is the filesystem"
ewarn "to store ${path} (e.g. EXT3_FS_SECURITY). For kernels version before"
ewarn "2.6.33_rc1 SECURITY_FILE_CAPABILITIES must be enabled as well."
ewarn
ewarn "Falling back to suid now..."
chmod u+s ${path}
fi
return $res
}
pkg_setup() {
if ! use gtk; then
ewarn "USE=-gtk disables gtk-based gui called wireshark."
ewarn "Only command line utils will be built available"
fi
if use python; then
python_set_active_version 2
python_pkg_setup
fi
# Add group for users allowed to sniff.
enewgroup wireshark
}
src_prepare() {
if use btbb; then
cp -r "${WORKDIR}/${BTBB}/wireshark/." "${S}/" || die
#epatch "${S}/${BTBB}/plugins/btbb/wireshark-1.8-btbb.patch"
epatch "${FILESDIR}/wireshark-1.8-btbb.patch"
fi
eautoreconf
}
src_configure() {
local myconf
if [[ $(gcc-major-version) -lt 3 ||
( $(gcc-major-version) -eq 3 &&
$(gcc-minor-version) -le 4 ) ]] ; then
die "Unsupported compiler version, please upgrade."
fi
if use ares && use adns; then
elog "You asked for both, ares and adns, but we can use only one of them."
elog "c-ares supersedes adns resolver thus using c-ares (ares USE flag)."
myconf="$(use_with ares c-ares) --without-adns"
else
myconf="$(use_with adns) $(use_with ares c-ares)"
fi
# profile and pie are incompatible #215806, #292991
if use profile; then
ewarn "You've enabled the 'profile' USE flag, building PIE binaries is disabled."
ewarn "Also ignore \"unrecognized option '-nopie'\" gcc warning #358101."
append-flags $(test-flags-CC -nopie)
fi
# Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
# --with-ssl to ./configure. (Mimics code from acinclude.m4).
if use kerberos; then
case `krb5-config --libs` in
*-lcrypto*)
ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
ewarn "Note there are annoying license incompatibilities between the OpenSSL"
ewarn "license and the GPL, so do your check before distributing such package."
myconf+=" --with-ssl"
;;
esac
fi
# Hack around inability to disable doxygen/fop doc generation
use doc || export ac_cv_prog_HAVE_DOXYGEN=false
use doc-pdf || export ac_cv_prog_HAVE_FOP=false
# dumpcap requires libcap, setuid-install requires dumpcap
econf $(use_enable gtk wireshark) \
$(use_enable profile profile-build) \
$(use_with ssl gnutls) \
$(use_with gcrypt) \
$(use_enable ipv6) \
$(use_with lua) \
$(use_with kerberos krb5) \
$(use_with smi libsmi) \
$(use_with zlib) \
$(use_with geoip) \
$(use_with portaudio) \
$(use_with python) \
$(use_with caps libcap) \
$(use_with pcap) \
$(use_with pcap dumpcap-group wireshark) \
$(use pcap && use_enable caps setcap-install) \
$(use pcap && use_enable !caps setuid-install) \
--sysconfdir="${EPREFIX}"/etc/wireshark \
--disable-extra-gcc-checks \
${myconf}
}
src_compile() {
default
use doc && emake -C docbook
}
src_install() {
default
if use doc; then
dohtml -r docbook/{release-notes.html,ws{d,u}g_html{,_chunked}}
if use doc-pdf; then
insinto /usr/share/doc/${PF}/pdf/
doins docbook/{{developer,user}-guide,release-notes}-{a4,us}.pdf
fi
fi
# FAQ is not required as is installed from help/faq.txt
dodoc AUTHORS ChangeLog NEWS README{,.bsd,.linux,.macos,.vmware} \
doc/{randpkt.txt,README*}
insinto /usr/include/wiretap
doins wiretap/wtap.h
if use gtk; then
for c in hi lo; do
for d in 16 32 48; do
insinto /usr/share/icons/${c}color/${d}x${d}/apps
newins image/${c}${d}-app-wireshark.png wireshark.png
done
done
domenu wireshark.desktop
fi
use pcap && chmod o-x "${ED}"/usr/bin/dumpcap #357237
}
pkg_postinst() {
if use caps && use pcap; then
fcaps 0:wireshark 550 cap_dac_read_search,cap_net_raw,cap_net_admin "${EROOT}"/usr/bin/dumpcap
fi
echo
ewarn "NOTE: To run wireshark as normal user you have to add yourself to"
ewarn "the wireshark group. This security measure ensures that only trusted"
ewarn "users are allowed to sniff your traffic."
echo
}

View file

@ -1,223 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/wireshark-1.8.0.ebuild,v 1.6 2012/07/09 19:39:21 zerochaos Exp $
EAPI="4"
PYTHON_DEPEND="python? 2"
inherit autotools eutils flag-o-matic python toolchain-funcs user
[[ -n ${PV#*_rc} && ${PV#*_rc} != ${PV} ]] && MY_P=${PN}-${PV/_} || MY_P=${P}
DESCRIPTION="A network protocol analyzer formerly known as ethereal"
HOMEPAGE="http://www.wireshark.org/"
BTBB="libbtbb-0.8"
SRC_URI="http://www.wireshark.org/download/src/all-versions/${MY_P}.tar.bz2 \
mirror://sourceforge/libbtbb/${BTBB}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE="adns ares btbb doc doc-pdf gtk ipv6 lua gcrypt geoip kerberos
profile +pcap portaudio python +caps selinux smi ssl zlib"
RDEPEND=">=dev-libs/glib-2.14:2
zlib? ( sys-libs/zlib
!=sys-libs/zlib-1.2.4 )
smi? ( net-libs/libsmi )
gtk? ( >=x11-libs/gtk+-2.4.0:2
x11-libs/pango
dev-libs/atk
x11-misc/xdg-utils )
ssl? ( <net-libs/gnutls-3 )
gcrypt? ( dev-libs/libgcrypt )
pcap? ( net-libs/libpcap )
caps? ( sys-libs/libcap )
kerberos? ( virtual/krb5 )
portaudio? ( media-libs/portaudio )
ares? ( >=net-dns/c-ares-1.5 )
!ares? ( adns? ( net-libs/adns ) )
geoip? ( dev-libs/geoip )
lua? ( >=dev-lang/lua-5.1 )
btbb? ( >=net-libs/libbtbb-0.8 )
selinux? ( sec-policy/selinux-wireshark )"
DEPEND="${RDEPEND}
doc? ( dev-libs/libxslt
dev-libs/libxml2
app-doc/doxygen
doc-pdf? ( dev-java/fop ) )
virtual/pkgconfig
dev-lang/perl
sys-devel/bison
sys-apps/sed
sys-devel/flex
!!<net-analyzer/wireshark-1.8.0"
S=${WORKDIR}/${MY_P}
# borrowed from GSoC2010_Gentoo_Capabilities by constanze and flameyeys
# @FUNCTION: fcaps
# @USAGE: fcaps {uid:gid} {file-mode} {cap1[,cap2,...]} {file}
# @RETURN: 0 if all okay; non-zero if failure and fallback
# @DESCRIPTION:
# fcaps sets the specified capabilities in the effective and permitted set of
# the given file. In case of failure fcaps sets the given file-mode.
fcaps() {
local uid_gid=$1
local perms=$2
local capset=$3
local path=$4
local res
chmod $perms $path && \
chown $uid_gid $path
res=$?
use caps || return $res
#set the capability
setcap "$capset=ep" "$path" &> /dev/null
#check if the capabilitiy got set correctly
setcap -v "$capset=ep" "$path" &> /dev/null
res=$?
if [ $res -ne 0 ]; then
ewarn "Failed to set capabilities. Probable reason is missed kernel support."
ewarn "Kernel must have <FS>_FS_SECURITY enabled where <FS> is the filesystem"
ewarn "to store ${path} (e.g. EXT3_FS_SECURITY). For kernels version before"
ewarn "2.6.33_rc1 SECURITY_FILE_CAPABILITIES must be enabled as well."
ewarn
ewarn "Falling back to suid now..."
chmod u+s ${path}
fi
return $res
}
pkg_setup() {
if ! use gtk; then
ewarn "USE=-gtk disables gtk-based gui called wireshark."
ewarn "Only command line utils will be built available"
fi
if use python; then
python_set_active_version 2
python_pkg_setup
fi
# Add group for users allowed to sniff.
enewgroup wireshark
}
src_prepare() {
if use btbb; then
cp -r "${WORKDIR}/${BTBB}/wireshark/." "${S}/" || die
#epatch "${S}/${BTBB}/plugins/btbb/wireshark-1.8-btbb.patch"
epatch "${FILESDIR}/wireshark-1.8-btbb.patch"
fi
eautoreconf
}
src_configure() {
local myconf
if [[ $(gcc-major-version) -lt 3 ||
( $(gcc-major-version) -eq 3 &&
$(gcc-minor-version) -le 4 ) ]] ; then
die "Unsupported compiler version, please upgrade."
fi
if use ares && use adns; then
elog "You asked for both, ares and adns, but we can use only one of them."
elog "c-ares supersedes adns resolver thus using c-ares (ares USE flag)."
myconf="$(use_with ares c-ares) --without-adns"
else
myconf="$(use_with adns) $(use_with ares c-ares)"
fi
# profile and pie are incompatible #215806, #292991
if use profile; then
ewarn "You've enabled the 'profile' USE flag, building PIE binaries is disabled."
ewarn "Also ignore \"unrecognized option '-nopie'\" gcc warning #358101."
append-flags $(test-flags-CC -nopie)
fi
# Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
# --with-ssl to ./configure. (Mimics code from acinclude.m4).
if use kerberos; then
case `krb5-config --libs` in
*-lcrypto*)
ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
ewarn "Note there are annoying license incompatibilities between the OpenSSL"
ewarn "license and the GPL, so do your check before distributing such package."
myconf+=" --with-ssl"
;;
esac
fi
# Hack around inability to disable doxygen/fop doc generation
use doc || export ac_cv_prog_HAVE_DOXYGEN=false
use doc-pdf || export ac_cv_prog_HAVE_FOP=false
# dumpcap requires libcap, setuid-install requires dumpcap
econf $(use_enable gtk wireshark) \
$(use_enable profile profile-build) \
$(use_with ssl gnutls) \
$(use_with gcrypt) \
$(use_enable ipv6) \
$(use_with lua) \
$(use_with kerberos krb5) \
$(use_with smi libsmi) \
$(use_with zlib) \
$(use_with geoip) \
$(use_with portaudio) \
$(use_with python) \
$(use_with caps libcap) \
$(use_with pcap) \
$(use_with pcap dumpcap-group wireshark) \
$(use pcap && use_enable caps setcap-install) \
$(use pcap && use_enable !caps setuid-install) \
--sysconfdir="${EPREFIX}"/etc/wireshark \
--disable-extra-gcc-checks \
${myconf}
}
src_compile() {
default
use doc && emake -C docbook
}
src_install() {
default
if use doc; then
dohtml -r docbook/{release-notes.html,ws{d,u}g_html{,_chunked}}
if use doc-pdf; then
insinto /usr/share/doc/${PF}/pdf/
doins docbook/{{developer,user}-guide,release-notes}-{a4,us}.pdf
fi
fi
# FAQ is not required as is installed from help/faq.txt
dodoc AUTHORS ChangeLog NEWS README{,.bsd,.linux,.macos,.vmware} \
doc/{randpkt.txt,README*}
insinto /usr/include/wiretap
doins wiretap/wtap.h
if use gtk; then
for c in hi lo; do
for d in 16 32 48; do
insinto /usr/share/icons/${c}color/${d}x${d}/apps
newins image/${c}${d}-app-wireshark.png wireshark.png
done
done
domenu wireshark.desktop
fi
use pcap && chmod o-x "${ED}"/usr/bin/dumpcap #357237
}
pkg_postinst() {
if use caps && use pcap; then
fcaps 0:wireshark 550 cap_net_raw,cap_net_admin "${EROOT}"/usr/bin/dumpcap
fi
echo
ewarn "NOTE: To run wireshark as normal user you have to add yourself to"
ewarn "the wireshark group. This security measure ensures that only trusted"
ewarn "users are allowed to sniff your traffic."
echo
}

View file

@ -1,227 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/wireshark-1.8.2.ebuild,v 1.1 2012/08/15 22:17:22 jer Exp $
EAPI="4"
PYTHON_DEPEND="python? 2"
inherit autotools eutils flag-o-matic python toolchain-funcs user
[[ -n ${PV#*_rc} && ${PV#*_rc} != ${PV} ]] && MY_P=${PN}-${PV/_} || MY_P=${P}
DESCRIPTION="A network protocol analyzer formerly known as ethereal"
HOMEPAGE="http://www.wireshark.org/"
BTBB="libbtbb-0.8"
SRC_URI="http://www.wireshark.org/download/src/all-versions/${MY_P}.tar.bz2 \
mirror://sourceforge/libbtbb/${BTBB}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE="adns ares btbb doc doc-pdf gtk ipv6 lua gcrypt geoip kerberos
profile +pcap portaudio python +caps selinux smi ssl zlib"
RDEPEND=">=dev-libs/glib-2.14:2
zlib? ( sys-libs/zlib
!=sys-libs/zlib-1.2.4 )
smi? ( net-libs/libsmi )
gtk? ( >=x11-libs/gtk+-2.4.0:2
x11-libs/pango
dev-libs/atk
x11-misc/xdg-utils )
ssl? ( <net-libs/gnutls-3 )
gcrypt? ( dev-libs/libgcrypt )
pcap? ( net-libs/libpcap )
caps? ( sys-libs/libcap )
kerberos? ( virtual/krb5 )
portaudio? ( media-libs/portaudio )
ares? ( >=net-dns/c-ares-1.5 )
!ares? ( adns? ( net-libs/adns ) )
geoip? ( dev-libs/geoip )
lua? ( >=dev-lang/lua-5.1 )
btbb? ( >=net-libs/libbtbb-0.8 )
selinux? ( sec-policy/selinux-wireshark )"
DEPEND="${RDEPEND}
doc? ( dev-libs/libxslt
dev-libs/libxml2
app-doc/doxygen
doc-pdf? ( dev-java/fop ) )
virtual/pkgconfig
dev-lang/perl
sys-devel/bison
sys-apps/sed
sys-devel/flex
"
S=${WORKDIR}/${MY_P}
# borrowed from GSoC2010_Gentoo_Capabilities by constanze and flameyeys
# @FUNCTION: fcaps
# @USAGE: fcaps {uid:gid} {file-mode} {cap1[,cap2,...]} {file}
# @RETURN: 0 if all okay; non-zero if failure and fallback
# @DESCRIPTION:
# fcaps sets the specified capabilities in the effective and permitted set of
# the given file. In case of failure fcaps sets the given file-mode.
fcaps() {
local uid_gid=$1
local perms=$2
local capset=$3
local path=$4
local res
chmod $perms $path && \
chown $uid_gid $path
res=$?
use caps || return $res
#set the capability
setcap "$capset=ep" "$path" &> /dev/null
#check if the capabilitiy got set correctly
setcap -v "$capset=ep" "$path" &> /dev/null
res=$?
if [ $res -ne 0 ]; then
ewarn "Failed to set capabilities. Probable reason is missed kernel support."
ewarn "Kernel must have <FS>_FS_SECURITY enabled where <FS> is the filesystem"
ewarn "to store ${path} (e.g. EXT3_FS_SECURITY). For kernels version before"
ewarn "2.6.33_rc1 SECURITY_FILE_CAPABILITIES must be enabled as well."
ewarn
ewarn "Falling back to suid now..."
chmod u+s ${path}
fi
return $res
}
pkg_setup() {
if ! use gtk; then
ewarn "USE=-gtk disables gtk-based gui called wireshark."
ewarn "Only command line utils will be built available"
fi
if use python; then
python_set_active_version 2
python_pkg_setup
fi
# Add group for users allowed to sniff.
enewgroup wireshark
}
src_prepare() {
epatch "${FILESDIR}"/${PN}-1.8.1-ldflags.patch
if use btbb; then
cp -r "${WORKDIR}/${BTBB}/wireshark/." "${S}/" || die
epatch "${FILESDIR}/wireshark-1.8-btbb.patch"
fi
eautoreconf
}
src_configure() {
local myconf
if [[ $(gcc-major-version) -lt 3 ||
( $(gcc-major-version) -eq 3 &&
$(gcc-minor-version) -le 4 ) ]] ; then
die "Unsupported compiler version, please upgrade."
fi
if use ares && use adns; then
elog "You asked for both, ares and adns, but we can use only one of them."
elog "c-ares supersedes adns resolver thus using c-ares (ares USE flag)."
myconf="$(use_with ares c-ares) --without-adns"
else
myconf="$(use_with adns) $(use_with ares c-ares)"
fi
# profile and pie are incompatible #215806, #292991
if use profile; then
ewarn "You've enabled the 'profile' USE flag, building PIE binaries is disabled."
ewarn "Also ignore \"unrecognized option '-nopie'\" gcc warning #358101."
append-flags $(test-flags-CC -nopie)
fi
# Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
# --with-ssl to ./configure. (Mimics code from acinclude.m4).
if use kerberos; then
case `krb5-config --libs` in
*-lcrypto*)
ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
ewarn "Note there are annoying license incompatibilities between the OpenSSL"
ewarn "license and the GPL, so do your check before distributing such package."
myconf+=" --with-ssl"
;;
esac
fi
# Hack around inability to disable doxygen/fop doc generation
use doc || export ac_cv_prog_HAVE_DOXYGEN=false
use doc-pdf || export ac_cv_prog_HAVE_FOP=false
# dumpcap requires libcap, setuid-install requires dumpcap
econf \
$(use pcap && use_enable !caps setuid-install) \
$(use pcap && use_enable caps setcap-install) \
$(use_enable gtk wireshark) \
$(use_enable ipv6) \
$(use_enable profile profile-build) \
$(use_with caps libcap) \
$(use_with gcrypt) \
$(use_with geoip) \
$(use_with kerberos krb5) \
$(use_with lua) \
$(use_with pcap dumpcap-group wireshark) \
$(use_with pcap) \
$(use_with portaudio) \
$(use_with python) \
$(use_with smi libsmi) \
$(use_with ssl gnutls) \
$(use_with zlib) \
--disable-extra-gcc-checks \
--disable-usr-local \
--sysconfdir="${EPREFIX}"/etc/wireshark \
${myconf}
}
src_compile() {
default
use doc && emake -C docbook
}
src_install() {
default
if use doc; then
dohtml -r docbook/{release-notes.html,ws{d,u}g_html{,_chunked}}
if use doc-pdf; then
insinto /usr/share/doc/${PF}/pdf/
doins docbook/{{developer,user}-guide,release-notes}-{a4,us}.pdf
fi
fi
# FAQ is not required as is installed from help/faq.txt
dodoc AUTHORS ChangeLog NEWS README{,.bsd,.linux,.macos,.vmware} \
doc/{randpkt.txt,README*}
insinto /usr/include/wiretap
doins wiretap/wtap.h
if use gtk; then
for c in hi lo; do
for d in 16 32 48; do
insinto /usr/share/icons/${c}color/${d}x${d}/apps
newins image/${c}${d}-app-wireshark.png wireshark.png
done
done
sed -i 's#.png##' wireshark.desktop
domenu wireshark.desktop
fi
use pcap && chmod o-x "${ED}"/usr/bin/dumpcap #357237
}
pkg_postinst() {
if use caps && use pcap; then
fcaps 0:wireshark 550 cap_dac_read_search,cap_net_raw,cap_net_admin "${EROOT}"/usr/bin/dumpcap
fi
echo
ewarn "NOTE: To run wireshark as normal user you have to add yourself to"
ewarn "the wireshark group. This security measure ensures that only trusted"
ewarn "users are allowed to sniff your traffic."
echo
}

View file

@ -1 +1 @@
EBUILD pentoo-bluetooth-2012.0.ebuild 499 RMD160 e01e8c643b237e9de9efcf5b78597d3d224f0535 SHA1 89d9ccfbfd884efc2ca0a2fa4f9d6f1561179d7a SHA256 3297a7685715e61817f3edf1f29353ec0d219d2b0a27328914c082c2c2a018be
EBUILD pentoo-bluetooth-2012.0.ebuild 498 SHA256 2057cb384bafef99fb216b7723ddd3ede0e4a30029374e7a427acf668f6fb723 SHA512 7611841d34fc0a2601b74d44abeee8578c70a0779c95cb6dedda574a8b2b6794944bf7dcb5aa49fcd634f91e0a9ebe7f7d4792059cd3f313dee7f4c8c2d12ca4 WHIRLPOOL 64febb1c7f67b4a7f1c19e2f78c2ff19cf88f72c9a3db61f71102e29afc378a6b2f9bcbe894fb5d4d7ec7bd29caeae2313b47316addcc0856079851d2a98544e

View file

@ -17,7 +17,7 @@ RDEPEND="${DEPEND}
net-wireless/bt-audit
net-wireless/btscanner
net-wireless/kismet-ubertooth
net-analyzer/wireshark[btbb]
net-libs/libbtbb[wireshark]
net-wireless/ubertooth
net-wireless/haraldscan
net-wireless/gnome-bluetooth"